// FILE:		z0dd_deathtoss.cs
// VERSION:		1.2
// DATE:		1/12/2000
// AUTHOR:		Paul "z0dd" Paella
// EMAIL:		z0dd@adelphia.net
// WEBPAGE:		http://home.adelphia.net/~z0dd/
//
// DESCRIPTION:
//	Press one key to toss all of your grenades and mines.
//
///////////////////////////// VERSION HISTORY: ///////////////////////////////
// VERSION HISTORY:
//	1.2	- Added toss range toggle
//		    New user options:
//			1) $z0ddtoss::farToss (turns far tossing on)
//			2) A key to toggle far & short toss ranges
//
//	1.1	- Added interleave option
//
//
// INSTALLATION:
//	Put z0dd_deathtoss.cs into your:
//		...\tribes\config
// 	directory and insert this line into your autoexec.cs:
//		exec("z0dd_deathtoss.cs");
//
// NOTES:
//	This script does not require Presto Pack and will not conflict with it.
//

// Do NOT edit the folowing line
//editActionMap("playMap.sae");

////////////////////////////////////////////////////////////////////////////
//////////////////////// USER CONFIGURATION SECTION ////////////////////////
////////////////////////////////////////////////////////////////////////////
// The key that activates the tossing.
bindCommand(keyboard0, make, "capslock", TO, "z0ddtoss::toss();");
bindCommand(keyboard0, break, "capslock", TO, "");


// Set to 1 if you want to toss Hand Grenades.  Set to 0 if you don't.
$z0ddtoss::tossGrens = 1;

// Set to 1 if you want to toss mines  Set to 0 if you don't.
$z0ddtoss::tossMines = 0;

// Set to 1 if you're tossing both grens and mines and you want to interleave
// tossing mines and grenades.  This setting is only useful if both of the
// above variables are set to 1.
// 1: mines and grens are tossed togther
// 0: mines are tossed after all grens are tossed
$z0ddtoss::interleave = 1;

// Set to 1 if you want to have your mines & grens tossed as far as possible.
// Set to 0 if you don't want them to be tossed the normal range
$z0ddtoss::farToss = 1;

// The key to toggle "far tossing" on and off.
// Default key is 'CONTROL+t'
bindCommand(keyboard0, make, control, "t", TO, "z0ddhud::ToggleFarToss();");
bindCommand(keyboard0, break, control, "t", TO, "");



//////////////////////////////////////////////////////////////////////////////
// DON'T EDIT PAST HERE UNLESS YOU'RE A SCRIPTER AND KNOW WHAT YOU'RE DOING //
//////////////////////////////////////////////////////////////////////////////
if ($z0ddtoss::farToss) {
	$z0ddtoss::tossTime  = 100;
}
else {
	$z0ddtoss::tossTime  = 0;
}


function z0ddhud::ToggleFarToss()
{
	if ($z0ddtoss::farToss) {
		$z0ddtoss::tossTime  = 0;
		$z0ddtoss::farToss = 0;
		Client::centerPrint(" Far tossing is OFF", 1);
		schedule("Client::centerPrint(\"\", 1);", 2);
	}
	else {
		$z0ddtoss::tossTime  = 100;
		$z0ddtoss::farToss = 1;
		Client::centerPrint(" Far tossing is ON", 1);
		schedule("Client::centerPrint(\"\", 1);", 2);
 	}
}


function z0ddtoss::toss()
{
//	echo(getItemType("Grenade"));  THIS EQUATES TO 41
//	echo(getItemType("Mine"));     THIS EQUATES TO 40

	if($z0ddtoss::interleave) {
		%grens = getItemCount("Grenade");
		%mines = getItemCount("Mine");
		%count = %grens;
		if (%mines > %grens)
			%count = %mines;

		for(%count; %count > 0; %count--) {				
			if(%grens && $z0ddtoss::tossGrens) {
				if(!%firstgren) {
					schedule("remoteEval(2048,throwItem,41,$z0ddtoss::tossTime);", %timedelay);
					%firstgren = 0;
				}
				else {
					schedule("use(\"Grenade\");", %timedelay);
				}
				%timedelay = %timedelay + 0.6;
				%grens--;
			}

			if(%mines && $z0ddtoss::tossMines) {
				if(!%firstmine) {
					schedule("remoteEval(2048,throwItem,40,$z0ddtoss::tossTime);", %timedelay);
					%firstmine = 0;
				}
				else {
					schedule("use(\"Mine\");", %timedelay);
				}
				%timedelay = %timedelay + 0.6;
				%mines--;
			}
		}
	}
	else {
		if ($z0ddtoss::tossGrens) {
			for(%i = getItemCount("Grenade"); %i > 0; %i--) {	

				if(!%firstgren) {
					schedule("remoteEval(2048,throwItem,41,$z0ddtoss::tossTime);", %timedelay);
					%firstgren = 0;
				}
				else {
					schedule("use(\"Grenade\");", %timedelay);
				}
				%timedelay = %timedelay + 0.6;			
			}
		}
	        
		if ($z0ddtoss::tossMines) {	
			for(%i = getItemCount("Mine");  %i > 0; %i--) {
				if(!%firstmine) {
					schedule("remoteEval(2048,throwItem,40,$z0ddtoss::tossTime);", %timedelay);
					%firstmine = 0;
				}
				else {
					schedule("use(\"Mine\");", %timedelay);
				}
				%timedelay = %timedelay + 0.6;
			}
		}
	}
}
